# eth\_getLogs

1. #### Parameters

* <mark style="color:blue;">object</mark> array- The transaction call object which contains the following fields:
  * <mark style="color:blue;">fromBlock</mark> string

    The block number as a string in hexadecimal format or tags. The supported tag values include earliest for the earliest/genesis block, latest for the latest mined block, pending for the pending state/transactions, safe for the most recent secure block, and finalized for the most recent secure block accepted by more than 2/3 of validators. safe and finalized are only supported on Ethereum, Gnosis, Arbitrum, Arbitrum Nova, and Avalanche C-chain
  * <mark style="color:blue;">toBlock</mark> string

    The block number as a string in hexadecimal format or tags. The supported tag values include earliest for the earliest/genesis block, latest for the latest mined block, pending for the pending state/transactions, safe for the most recent secure block, and finalized for the most recent secure block accepted by more than 2/3 of validators. safe and finalized are only supported on Ethereum, Gnosis, Arbitrum, Arbitrum Nova, and Avalanche C-chain
  * <mark style="color:blue;">address</mark> string

    The contract address or a list of addresses from which logs should originate
  * <mark style="color:blue;">topics</mark> string

    An array of DATA topics and also, the topics are order-dependent. Visit this official page to learn more about topics
  * <mark style="color:blue;">blockHash</mark> string

    With the addition of EIP-234, blockHash is a new filter option that restricts the logs returned to the block number referenced in the blockHash. Using the blockHash field is equivalent to setting the fromBlock and toBlock to the block number the blockHash references. If blockHash is present in the filter criteria, neither fromBlock nor toBlock is allowed

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getLogs","params":[{"address": "0xdAC17F958D2ee523a2206206994597C13D831ec7"}],"id":1,"jsonrpc":"2.0"}'

```

2. #### Returns

* <mark style="color:blue;">array-</mark>An array of log objects, or an empty array if nothing has changed since last poll:
  * <mark style="color:blue;">address</mark> An address from which this log originated&#x20;
  * <mark style="color:blue;">topics</mark> An array of zero to four 32 Bytes DATA of indexed log arguments. In Solidity, the first topic is the hash of the signature of the event (e.g. Deposit(address, bytes32, uint256)), except you declare the event with the anonymous specifier
  * <mark style="color:blue;">data</mark> It contains one or more 32 Bytes non-indexed arguments of the log&#x20;
  * <mark style="color:blue;">blockNumber</mark> The block number where this log was in. null when it's a pending log&#x20;
  * <mark style="color:blue;">transactionHash</mark> The hash of the transactions this log was created from. null when its a pending log&#x20;
  * <mark style="color:blue;">transactionIndex</mark> The integer of the transaction's index position that the log was created from. null when it's a pending log&#x20;
  * <mark style="color:blue;">blockHash</mark> The hash of the block where this log was in. null when it's a pending log&#x20;
  * <mark style="color:blue;">logIndex</mark> The integer of the log index position in the block. null when it's a pending log&#x20;
  * <mark style="color:blue;">removed</mark> It is true when the log was removed due to a chain reorganization, and false if it's a valid log


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getlogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
